<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class RemoveAabedatColumnsFromSurvey extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pmis')->table('surveys', function (Blueprint $table) {
            //
            $table->dropColumn('roof_type');
            $table->dropColumn('roof_number');
            $table->dropColumn('roof_width');
            $table->dropColumn('roof_resistance');
            $table->dropColumn('roof_ruined');
            $table->dropColumn('fear_type');
            $table->dropColumn('fear_number');
            $table->dropColumn('fear_resistance');
            $table->dropColumn('fear_length');
            $table->dropColumn('fear_width');
            $table->dropColumn('foundation_type');
            $table->dropColumn('foundation_number');
            $table->dropColumn('foundation_resistance');
            $table->dropColumn('foundation_length');
            $table->dropColumn('foundation_width');
            $table->dropColumn('floor_number');
            $table->dropColumn('floor_hight');
            $table->dropColumn('floor_length');
            $table->dropColumn('floor_width');
            $table->dropColumn('room_number');
            $table->dropColumn('room_hight');
            $table->dropColumn('room_length');
            $table->dropColumn('room_width');
            $table->dropColumn('wc_number');
            $table->dropColumn('wc_hight');
            $table->dropColumn('wc_length');
            $table->dropColumn('wc_width');
            $table->dropColumn('corridor_number');
            $table->dropColumn('corridor_hight');
            $table->dropColumn('corridor_length');
            $table->dropColumn('corridor_width');
            $table->dropColumn('balcony_number');
            $table->dropColumn('balcony_length');
            $table->dropColumn('balcony_width');
            $table->dropColumn('kitchen_number');
            $table->dropColumn('kitchen_length');
            $table->dropColumn('kitchen_width');
            $table->dropColumn('stair_type');
            $table->dropColumn('stair_number');
            $table->dropColumn('stair_length');
            $table->dropColumn('stair_width');
            $table->dropColumn('stair_floor');
            $table->dropColumn('lift_number');
            $table->dropColumn('lift_length');
            $table->dropColumn('lift_width');
            $table->dropColumn('lift_engine');
            $table->dropColumn('wall_type');
            $table->dropColumn('wall_shap');
            $table->dropColumn('wall_width');
            $table->dropColumn('column_type');
            $table->dropColumn('column_shap');
            $table->dropColumn('column_lenght');
            $table->dropColumn('column_width');
            $table->dropColumn('column_number');
            $table->dropColumn('ston_width');
            $table->dropColumn('ston_quality');
            $table->dropColumn('ston_resistance');
            $table->dropColumn('ston_durability');
            $table->dropColumn('stone_component');
            $table->dropColumn('stone_component_resistance');
            $table->dropColumn('brick_type');
            $table->dropColumn('brick_wet');
            $table->dropColumn('brick_quality');
            $table->dropColumn('brick_resistance');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pmis')->table('surveys', function (Blueprint $table) {
            //
            $table->string('roof_type');
            $table->string('roof_number');
            $table->string('roof_width');
            $table->string('roof_resistance');
            $table->string('roof_ruined');
            $table->string('fear_type');
            $table->string('fear_number');
            $table->string('fear_resistance');
            $table->string('fear_length');
            $table->string('fear_width');
            $table->string('foundation_type');
            $table->string('foundation_number');
            $table->string('foundation_resistance');
            $table->string('foundation_length');
            $table->string('foundation_width');
            $table->string('floor_hight');
            $table->string('floor_length');
            $table->string('floor_width');
            $table->string('room_number');
            $table->string('room_hight');
            $table->string('room_length');
            $table->string('room_width');
            $table->string('wc_number');
            $table->string('wc_hight');
            $table->string('wc_length');
            $table->string('wc_width');
            $table->string('corridor_number');
            $table->string('corridor_hight');
            $table->string('corridor_length');
            $table->string('corridor_width');
            $table->string('balcony_number');
            $table->string('balcony_length');
            $table->string('balcony_width');
            $table->string('kitchen_number');
            $table->string('kitchen_length');
            $table->string('kitchen_width');
            $table->string('stair_type');
            $table->string('stair_number');
            $table->string('stair_length');
            $table->string('stair_width');
            $table->string('stair_floor');
            $table->string('lift_number');
            $table->string('lift_length');
            $table->string('lift_width');
            $table->string('lift_engine');
            $table->string('wall_type');
            $table->string('wall_shap');
            $table->string('wall_width');
            $table->string('column_type');
            $table->string('column_shap');
            $table->string('column_lenght');
            $table->string('column_width');
            $table->string('column_number');
            $table->string('ston_width');
            $table->string('ston_quality');
            $table->string('ston_resistance');
            $table->string('ston_durability');
            $table->string('stone_component');
            $table->string('stone_component_resistance');
            $table->string('brick_type');
            $table->string('brick_wet');
            $table->string('brick_quality');
            $table->string('brick_resistance');
        });
    }
}
